Subject: bug#30384: closed (Re: bug#30384: additional inputs required for Blender plugins)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 18 Feb 2018 13:48:03 +0000

Your bug report

#30384: additional inputs required for Blender plugins

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
30384: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=30384
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#30384: additional inputs required for Blender plugins
From: [email-masked] (Ludovic Courtès)
To: Quiliro Ordonez Baca <[email-masked]>
Cc: [email-masked]
Date: Sun, 18 Feb 2018 14:47:35 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Quiliro Ordonez Baca <[email-masked]> skribis:

> [email-masked] (Ludovic Courtès) writes:
>
>> Hello Quiliro,
>>
>> Quiliro Ordonez Baca <[email-masked]> skribis:
>>
>>> When i tryed to install the Sverchok addon
>>> https://wiki.blender.org/index.php/Extensions:2.6/Py/Scripts/Nodes/Sverchok
>>> http://nikitron.cc.ua/sverch/html/main.html
>>> I got the message:
>>> ImportError: No module named ‘numpy’
>>> so i installed python-numpy.
>>> And then i got error:
>>> ImportError: No module named ‘requests’
>>> I then instaled python-requests. Both these dependencies are mentioned in Sverchok's documentation.
>>
>> Since installing these two packages solves the problem,
>
> Oh! That is right. It is not a problem of Blender. It is a problem of
> dependencies of Sverchok. What is needed is a package definition for
> Sverchok. Am I right?

Not strictly required AIUI, but it wouldn’t hurt.

>> can we consider
>> this bug closed?
> Yes. Thank you. :-)

Done, thanks!

Ludo’.

Subject: additional inputs required for Blender plugins
From: Quiliro Ordonez Baca <[email-masked]>
To: [email-masked]
Date: Wed, 07 Feb 2018 16:43:31 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

I was trying to install Sverchok plugin for Blender. It enables Blender
to change parameters in order to modify a wide range of values without
redrawing everything in case of a global change in something repetitive.

I checked the license. It is GPLv3. What else should i do to verify freedom?

When i tryed to install the Sverchok addon
https://wiki.blender.org/index.php/Extensions:2.6/Py/Scripts/Nodes/Sverchok
http://nikitron.cc.ua/sverch/html/main.html
I got the message:
ImportError: No module named ‘numpy’
so i installed python-numpy.
And then i got error:
ImportError: No module named ‘requests’
I then instaled python-requests. Both these dependencies are mentioned in Sverchok's documentation.
The Blender binary ships with:
idna, chardet, urllib3, certifi, requests and numpy
https://git.blender.org/gitweb/gitweb.cgi/blender.git/blob/HEAD:/build_files/build_environment/cmake/versions.cmake
It reports versions of numpy, requests and others
set(REQUESTS_VERSION 2.18.4)
set(NUMPY_VERSION v1.13.1)
set(NUMPY_SHORT_VERSION 1.13)
set(NUMPY_URI https://pypi.python.org/packages/c0/3a/40967d9f5675fbb097ffec170f59c2ba19fc96373e73ad47c2cae9a30aed/numpy-1.13.1.zip)
set(NUMPY_HASH 2c3c0f4edf720c3a7b525dacc825b9ae)

propagated-inputs

The NixOS package explicitly disables numpy at build time.

Those dependencies are not required for building the Guix package:
https://git.savannah.gnu.org/cgit/guix.git/tree/gnu/packages/graphics.scm?id=v0.14.0-1266-gd2a7170de#n79
It's better to just package these plugins separately rather than
propagating these (large) packages for every Blender user.
They are not necessary to run blender
https://wiki.blender.org/index.php/Dev:Doc/Building_Blender/Linux/dependencies
It is just that Blender's oficial binary ships with those plugins and
their dependencies by default. We need not do the same. If the user
needs those addons, she may install them with Guix solving the
dependencies.

I was helped by:
<bzztploink>
<Yaniel>
from #blender
and:
<mbakke>
from the Guix.
Thank you very much!